package floatops

import (
	"errors"
	"flow/registry"
	"math"
)

// Register into registry
func Register(r *registry.R) {

	r.Add(sum, sub, div, mul).Categories("floatops")
}
func sum(a, b float32) float32 {
	return a + b
}
func sub(a, b float32) float32 {
	return a - b
}
func div(a, b float32) (float32, error) {
	if b == 0 {
		return float32(math.NaN()), errors.New("Division by 0")
	}
	return a / b, nil
}

func mul(a, b float32) float32 {
	return a * b
}
